Bug 664151 - (ghc-Diff) Review Request: ghc-Diff - A O(ND) diff algorithm in Haskell
Review Request: ghc-Diff - A O(ND) diff algorithm in Haskell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: yi
  Show dependency treegraph
 
Reported: 2010-12-18 13:27 EST by Narasimhan
Modified: 2014-10-22 14:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-Diff-0.3.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 14:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2010-12-18 13:27:05 EST
SPEC file URL: https://sites.google.com/site/lakshminaras2002/home/ghc-Diff.spec?attredirects=0&d=1

SRPM file URL: https://sites.google.com/site/lakshminaras2002/home/ghc-Diff-0.1.2-1.fc14.src.rpm?attredirects=0&d=1

rpmlint output:
rpmlint  -i ghc-Diff.spec ghc-Diff*fc15*.rpm 
ghc-Diff-prof.i686: E: devel-dependency ghc-Diff-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-Diff-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-Diff-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-7.0.1/Diff-0.1.2/libHSDiff-0.1.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:06 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Narasimhan 2011-04-03 01:51:52 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-Diff-0.1.2-2.fc14.src.rpm

http://narasim.fedorapeople.org/package_reviews/ghc-Diff.spec

rpmlint  -i ghc-Diff.spec ~/rpmbuild/SRPMS/ghc-Diff-0.1.2-2.fc14.src.rpm ~/rpmbuild/RPMS/i686/ghc-Diff-*.rpm
ghc-Diff-prof.i686: E: devel-dependency ghc-Diff-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-Diff-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-Diff-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/Diff-0.1.2/libHSDiff-0.1.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 3 Narasimhan 2012-01-22 00:13:23 EST
SRPM file : http://narasim.fedorapeople.org/package_reviews/ghc-Diff-0.1.3-1.fc15.src.rpm
Spec file : http://narasim.fedorapeople.org/package_reviews/ghc-Diff.spec

rpmlint output:
rpmlint  -i ghc-Diff-0.1.3-1.fc15.src.rpm  ghc-Diff-0.1.3-1.fc15.x86_64.rpm ghc-Diff-devel-0.1.3-1.fc15.x86_64.rpm ../ghc-Diff.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 5 Jens Petersen 2012-02-07 05:12:14 EST
http://packdeps.haskellers.com/reverse/Diff
Comment 6 Jens Petersen 2012-04-19 03:41:49 EDT
Sorry may be good if you can update to cabal2spec-0.25.5
so that this will build on f18.
Comment 7 Jens Petersen 2012-05-08 00:54:42 EDT
Kalpa, do you have time to review this or should
we look for another reviewer?
Comment 8 Kalpa Welivitigoda 2012-05-08 02:49:22 EDT
Hi Jens,

Extremely sorry for not being touch with the review, I almost forgot this. I'm busy with my exams at the uni right now, and the exam will continue for another one weeks time. If you can wait till then I'm happy to review or else you may find another reviewer, no worries.
Comment 9 Jens Petersen 2012-05-08 03:30:32 EDT
No worries - just wanted to check in to see if you were still
interested in this review.  I guess we can wait a little more, thanks.
Comment 10 Jens Petersen 2012-05-30 06:27:50 EDT
Okay I resetting the reviewer, but Kalpa feel free to pick up the review
again when you have time.

I think the package needs to be updated to 0.25.5 anyway to build in rawhide.
Comment 11 Narasimhan 2012-05-31 11:33:49 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-Diff.spec

http://narasim.fedorapeople.org/package_reviews/ghc-Diff-0.1.3-1.fc18.src.rpm

rpmlint  -i ghc-Diff-0.1.3-1.fc18.src.rpm ghc-Diff-devel-0.1.3-1.fc18.x86_64.rpm ghc-Diff-0.1.3-1.fc18.x86_64.rpm ../ghc-Diff.spec
ghc-Diff-devel.x86_64: W: obsolete-not-provided ghc-Diff-doc
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

3 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 12 Jens Petersen 2012-06-22 06:11:17 EDT
fedora-review output:

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: ghc-Diff-0.1.3-1.fc18.i686.rpm :
     /usr/lib/ghc-7.4.1/Diff-0.1.3/libHSDiff-0.1.3-ghc7.4.1.so
[-]: MUST Static libraries in -static subpackage, if present.


==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint ghc-Diff-0.1.3-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ghc-Diff-0.1.3-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ghc-Diff-devel-0.1.3-1.fc18.i686.rpm

ghc-Diff-devel.i686: W: obsolete-not-provided ghc-Diff-doc
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/petersen/pkgreview/ghc-Diff/664151/Diff-0.1.3.tar.gz :
  MD5SUM this package     : 6a8a47315001717780b3dd025f59da85
  MD5SUM upstream package : 6a8a47315001717780b3dd025f59da85

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

*>> Included with %ghc_files

[!]: MUST Rpmlint output is silent.

rpmlint ghc-Diff-0.1.3-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ghc-Diff-0.1.3-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ghc-Diff-devel-0.1.3-1.fc18.i686.rpm

ghc-Diff-devel.i686: W: obsolete-not-provided ghc-Diff-doc
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

*>> This is ok and from ghc-rpm-macros.

See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: ghc-Diff-0.1.3-1.fc18.i686.rpm :
     /usr/lib/ghc-7.4.1/Diff-0.1.3/libHSDiff-0.1.3-ghc7.4.1.so
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

*>> Ok for Haskell packages.

Generated by fedora-review 0.1.3
External plugins:
Comment 13 Jens Petersen 2012-06-23 00:39:35 EDT
Here is my review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output [1]
[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]
[+] MUST: The spec file must be written in American English [5] and legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)
[+] MUST: successfully compile and build into binary rpms on a primary arch [7]
[NA] MUST: if necessary use ExcludeArch for other archs [8]
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations [9]
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]
[+] MUST: A package must own all directories that it creates. [13]
[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[NA] MUST: Static libraries must be in a -static package. [19]
[+] MUST: Development files must be in a -devel package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock. [27]
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]

Looks good to me.

Package is APPROVED.
Comment 14 Narasimhan 2012-06-30 04:03:50 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-Diff
Short Description: A O(ND) diff algorithm in Haskell
Owners: narasim
Branches: f17 f16 el6
InitialCC: haskell-sig
Comment 15 Jon Ciesla 2012-07-01 18:38:33 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-07-02 22:26:18 EDT
ghc-Diff-0.1.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-Diff-0.1.3-1.fc17
Comment 17 Fedora Update System 2012-07-02 22:26:36 EDT
ghc-Diff-0.1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-Diff-0.1.3-1.fc16
Comment 18 Fedora Update System 2012-07-02 22:36:29 EDT
ghc-Diff-0.1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-Diff-0.1.3-1.el6
Comment 19 Fedora Update System 2012-07-03 11:52:00 EDT
ghc-Diff-0.1.3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 20 Fedora Update System 2012-07-12 14:58:58 EDT
ghc-Diff-0.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 21 Fedora Update System 2012-07-12 15:01:00 EDT
ghc-Diff-0.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 22 Fedora Update System 2012-07-19 18:36:36 EDT
ghc-Diff-0.1.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 23 Jens Petersen 2014-10-03 01:49:59 EDT
Package Change Request
======================
Package Name: ghc-Diff
New Branches: epel7
Owners: petersen
InitialCC: haskell-sig
Comment 24 Jon Ciesla 2014-10-03 08:01:46 EDT
Git done (by process-git-requests).
Comment 25 Fedora Update System 2014-10-05 22:27:36 EDT
ghc-Diff-0.3.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-Diff-0.3.0-1.el7
Comment 26 Fedora Update System 2014-10-22 14:48:04 EDT
ghc-Diff-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.